curl --request PUT \
--url https://{controlPlaneURL}/api/ml/v1/agent-skill-versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
}
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": [
{
"display_name": "<string>",
"language": "<string>",
"code": "<string>",
"libraries": [
"<string>"
],
"icon": "<string>"
}
]
}
}Create or update an agent skill version.
curl --request PUT \
--url https://{controlPlaneURL}/api/ml/v1/agent-skill-versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
}
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": [
{
"display_name": "<string>",
"language": "<string>",
"code": "<string>",
"libraries": [
"<string>"
],
"icon": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Manifest containing metadata for the agent skill to apply
Show child attributes
The created or updated agent skill version
The agent skill version data
Show child attributes
Was this page helpful?